#pragma once

#include "gui.h"
#include "framebuffer.h"
#include "ppc.h"
#include "tm.h"

#include "CGInterface.h"

class Scene {
public:

	GUI *gui;
	FrameBuffer *fb, *hwfb;
	FrameBuffer *texfb;
	GLuint hwTexture;
// SHADERS
	CGInterface *cgi;
	ShaderOneInterface *soi;
	int needHWInit;
	float morphFraction;
// END SHADERS
	V3 L;
	float exp;
	PPC *ppc;
	TM *tms;
	int tmsN;
	Scene();
	void DBG();
	void NewButton();
	void Render();
	void RenderHW();
};

extern Scene *scene;